From 49cc123544edb219a9fd131c68837e32bfaa271d Mon Sep 17 00:00:00 2001
From: Ronald Wampler <rdwampler@gmail.com>
Date: Fri, 23 Jun 2017 10:44:28 -0400
Subject: [PATCH] Change `std::vector< std::pair<char const*, char const*> >`
 to `auto` (C++17)

C++17 added a non-const overload for std::string::data().

Upstream-Status: Backport [https://github.com/textmate/textmate/commit/49cc123544edb219a9fd131c68837e32bfaa271d]
---
 Frameworks/editor/src/editor.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git ./Frameworks/editor/src/editor.cc ./Frameworks/editor/src/editor.cc
index 308633444..58488bf0c 100644
--- ./Frameworks/editor/src/editor.cc
+++ ./Frameworks/editor/src/editor.cc
@@ -546,7 +546,7 @@ namespace ng
 
 				int minIndent = INT_MAX;
 
-				std::vector< std::pair<char const*, char const*> > const& v = text::to_lines(str.data(), str.data() + str.size());
+				auto const& v = text::to_lines(str.data(), str.data() + str.size());
 				for(auto const& it : v)
 				{
 					if(!text::is_blank(it.first, it.second))
